---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "gitea_repository_key Resource - terraform-provider-gitea"
subcategory: ""
description: |-
  gitea_repository_key manages a deploy key for a single gitea_repository.
  Every key needs a unique name and unique key, i.e. no key can be added twice to the same repo
---

# gitea_repository_key (Resource)

`gitea_repository_key` manages a deploy key for a single gitea_repository.

Every key needs a unique name and unique key, i.e. no key can be added twice to the same repo

## Example Usage

```terraform
terraform {
  required_providers {
    tls = {
      source = "hashicorp/tls"
      version = "4.0.4"
    }
  }
}

resource "tls_private_key" "example" {
  type = "RSA"
  rsa_bits = 4096
}

resource "gitea_repository" "example" {
  name = "example"
  private = true
}

resource "gitea_repository_key" "example" {
  repository = gitea_repository.example.id
  title = "Example Deploy Key"
  read_only = true
  key = tls_private_key.example.public_key_openssh
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `key` (String) Armored SSH key to add
- `repository` (Number) The ID of the repository where the deploy key belongs to
- `title` (String) Name of the deploy key

### Optional

- `read_only` (Boolean) Whether this key has read or read/write access

### Read-Only

- `id` (String) The ID of this resource.
